%global srcname module-build-service-copr
%global sum Copr plugin for the Module Build Service
%global mbs_min_version 1.4.7

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           %{srcname}
Version:        0.4
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pagure.io/copr/%{srcname}

# Sources can be obtained by
# git clone https://pagure.io/copr/module-build-service-copr.git
# cd module-build-service-copr
# tito build --tgz
Source0:        %{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python2-devel

%if 0%{?with_python3}
BuildRequires:  python3-nose
BuildRequires:  python3-copr
Requires:       python3-copr
%else
BuildRequires:  python2-nose
BuildRequires:  python2-copr
Requires:       python2-copr
BuildRequires:  module-build-service >= %{mbs_min_version}
Requires:       module-build-service >= %{mbs_min_version}
%endif


%global _description \
This is a plugin for MBS containing Copr related extensions such as\
CoprModuleBuilder and CoprResolver.\
\
\
The Module Build Service (MBS) coordinates module builds and is responsible\
for a number of tasks:\
\
- Providing an interface for module client-side tooling via which module build\
  submission and build state queries are possible.\
- Verifying the input data (modulemd, RPM SPEC files and others) is available\
  and correct.\
- Preparing the build environment in the supported build systems, such as koji.\
- Scheduling and building of the module components and tracking the build\
  state.\
- Emitting bus messages about all state changes so that other infrastructure\
  services can pick up the work.


%description %{_description}


%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
%description -n python2-%{srcname} %{_description}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# Temporarily disable tests because of import issue
# from conf import config
# ImportError: No module named conf
# @TODO Create an fm-orchestrator issue/PR for it
#nosetests -v

#%{__python3} setup.py test


%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/module_build_service_copr
%{python2_sitelib}/module_build_service_copr-%{version}-py2*.egg-info
%config(noreplace) %{_sysconfdir}/module-build-service/copr.conf


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/module_build_service_copr
%{python3_sitelib}/module_build_service_copr-%{version}-py3*.egg-info
%config(noreplace) %{_sysconfdir}/module-build-service/copr.conf


%changelog
* Sun Dec 03 2017 Jakub Kadlcik <frostyx@email.cz> 0.4-1
- Be more specific in python sitelib files

* Sun Dec 03 2017 Jakub Kadlcik <frostyx@email.cz> 0.3-1
- Use just module-build-service-copr for the package name, without prefix

* Sun Dec 03 2017 Jakub Kadlcik <frostyx@email.cz> 0.2-1
- Use srcname macro in the URL
- Don't use special characters in name
- Move Requires/BuildRequires under appropriate subpackages
- Improve the python3 condition

* Tue Nov 28 2017 Jakub Kadlcik <frostyx@email.cz> 0.1-1
- Initial package
